"use strict";
// tslint:disable no-console
Object.defineProperty(exports, "__esModule", { value: true });
const archiver = require("archiver");
const fs_1 = require("fs");
const prettier_1 = require("prettier");
const convertCssForEmotion_1 = require("./lib/convertCssForEmotion");
const convertedCss = convertCssForEmotion_1.convertCssForEmotion(fs_1.readFileSync("/dev/stdin").toString());
const writeStream = fs_1.createWriteStream("/dev/stdout");
const archive = archiver("tar", {
    gzip: true,
    gzipOptions: {
        level: 1,
    },
});
archive.on("error", (error) => {
    throw error;
});
archive.pipe(writeStream);
convertedCss.forEach((source, name) => {
    // trick to force prettier to prettify injectGlobal template literal
    if (name === "index.js") {
        source = source.replace("injectGlobal`", "css`");
    }
    source = prettier_1.format(source, {
        parser: "typescript",
        tabWidth: 4,
    });
    if (name === "index.js") {
        source = source.replace("css`", "injectGlobal`");
    }
    archive.append(source, { name });
});
archive.finalize();
